# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  # The most common configuration options are documented and commented below.
  # For a complete reference, please see the online documentation at
  # https://docs.vagrantup.com.

  # Every Vagrant development environment requires a box. You can search for
  # boxes at https://vagrantcloud.com/search.
  config.vm.box = "ubuntu/xenial64"
  config.vm.provider "virtualbox" do |v|
      v.name = "upwork-20091683.test"
      v.memory = 1024
      v.cpus = 1
  end
  config.vm.provider "virtualbox" do |vb|
    vb.customize [ "modifyvm", :id, "--uartmode1", "disconnected" ]
  end
  config.vm.network "private_network", ip: "192.168.10.10"
  config.vm.provision :shell, path: "provision.sh"
  config.vm.network "forwarded_port", guest: 80, host: 8080, auto_correct: true
end
